Bug 191901 - Web Inspector: Timelines: flatten the overview to show all records, one per line
Summary: Web Inspector: Timelines: flatten the overview to show all records, one per line
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: 195959
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-21 18:21 PST by Devin Rousso
Modified: 2019-03-21 11:03 PDT (History)
6 users (show)

See Also:


Attachments
Patch (160.81 KB, patch)
2018-11-21 18:40 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
[Image] After Patch is applied (929.40 KB, image/png)
2018-11-21 18:40 PST, Devin Rousso
no flags Details
Patch (94.05 KB, patch)
2018-11-21 18:47 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (93.94 KB, patch)
2018-11-21 19:08 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (91.91 KB, patch)
2018-11-25 14:54 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (88.97 KB, patch)
2019-01-01 16:41 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (34.43 KB, patch)
2019-03-19 15:17 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
[Image] After Patch is applied (932.00 KB, image/png)
2019-03-19 15:19 PDT, Devin Rousso
no flags Details
Patch (44.71 KB, patch)
2019-03-20 23:43 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
[Image] After Patch is applied (1.01 MB, image/png)
2019-03-20 23:44 PDT, Devin Rousso
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2018-11-21 18:21:27 PST
Instead of having the nested view of timeline records when none of the specific timelines are selected, we should have the overview be a combination of all of the specific timelines.  This will be better for developers as it provides an "absolute" ordering of timeline records, meaning it would be possible to look for related events based on time.
Comment 1 Devin Rousso 2018-11-21 18:40:15 PST
Created attachment 355450 [details]
Patch
Comment 2 Devin Rousso 2018-11-21 18:40:28 PST
Created attachment 355451 [details]
[Image] After Patch is applied
Comment 3 Devin Rousso 2018-11-21 18:47:41 PST
Created attachment 355452 [details]
Patch
Comment 4 Devin Rousso 2018-11-21 19:08:41 PST
Created attachment 355454 [details]
Patch
Comment 5 Devin Rousso 2018-11-25 14:54:25 PST
Created attachment 355609 [details]
Patch
Comment 6 Joseph Pecoraro 2018-11-26 09:17:51 PST
We should be able to toggle between the grouped and non grouped views. There is an advantage of the grouped view at times (seeing which script is evaluating code and it’s affects. Likewise style invalidation and layout loops
Comment 7 Devin Rousso 2018-11-26 10:46:09 PST
(In reply to Joseph Pecoraro from comment #6)
> We should be able to toggle between the grouped and non grouped views. There
> is an advantage of the grouped view at times (seeing which script is
> evaluating code and it’s affects. Likewise style invalidation and layout
> loops
I agree.  Considering the already large size of this patch, I was planning on having it be a followup, but the removal of some of the code/files in the patch may inhibit that.  I'll look into adding it back to this patch.
Comment 8 Radar WebKit Bug Importer 2018-12-03 10:42:32 PST
<rdar://problem/46423618>
Comment 9 Joseph Pecoraro 2018-12-14 16:19:50 PST
Comment on attachment 355609 [details]
Patch

r- for now, since this really should be an option to toggle between modes.
Comment 10 Devin Rousso 2019-01-01 16:41:09 PST
Created attachment 358176 [details]
Patch
Comment 11 Timothy Hatcher 2019-03-19 10:48:38 PDT
I agree this should be a toggle. Both modes have their benefits.
Comment 12 Devin Rousso 2019-03-19 15:17:11 PDT
Created attachment 365237 [details]
Patch
Comment 13 Devin Rousso 2019-03-19 15:19:09 PDT
Created attachment 365238 [details]
[Image] After Patch is applied
Comment 14 Timothy Hatcher 2019-03-20 08:38:49 PDT
After looking at this more, I think there is information missing from the view now that is can be ungrouped. The records can be in any order now, so they really need some indication what resource they are from — where you will go if you click.

I think showing them in the sidebar like:

[S] Style Invalidated — [<>] webkit.org
[S] Script Evaluated — [JS] global.js
[S] Script Evaluated — [JS] wp-embed.min.js

etc.
Comment 15 Devin Rousso 2019-03-20 22:51:02 PDT
(In reply to Timothy Hatcher from comment #14)
> After looking at this more, I think there is information missing from the
> view now that is can be ungrouped. The records can be in any order now, so
> they really need some indication what resource they are from — where you
> will go if you click.
> 
> I think showing them in the sidebar like:
> 
> [S] Style Invalidated — [<>] webkit.org
> [S] Script Evaluated — [JS] global.js
> [S] Script Evaluated — [JS] wp-embed.min.js
> 
> etc.
I like it!  FWIW, we didn't used to show this because all of the script types were on the same line.  I'll figure something out :)
Comment 16 Devin Rousso 2019-03-20 23:43:23 PDT
Created attachment 365500 [details]
Patch
Comment 17 Devin Rousso 2019-03-20 23:44:36 PDT
Created attachment 365501 [details]
[Image] After Patch is applied
Comment 18 WebKit Commit Bot 2019-03-21 11:03:07 PDT
Comment on attachment 365500 [details]
Patch

Clearing flags on attachment: 365500

Committed r243301: <https://trac.webkit.org/changeset/243301>
Comment 19 WebKit Commit Bot 2019-03-21 11:03:09 PDT
All reviewed patches have been landed.  Closing bug.